import hashString from '@emotion/hash';
import { handleInterpolation, labelPattern } from '@emotion/serialize';

var fakeRegisteredCache = {};

function css(strings) {
  var stringMode = true;
  var styles = '';
  var identifierName = '';

  if (strings == null || strings.raw === undefined) {
    stringMode = false;
    styles += handleInterpolation(fakeRegisteredCache, strings);
  } else {
    styles += strings[0];
  }

  for (var _len = arguments.length, interpolations = new Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
    interpolations[_key - 1] = arguments[_key];
  }

  interpolations.forEach(function (interpolation, i) {
    styles += handleInterpolation(fakeRegisteredCache, interpolation);

    if (stringMode === true && strings[i + 1] !== undefined) {
      styles += strings[i + 1];
    }
  }, this);
  styles = styles.replace(labelPattern, function (match, p1) {
    identifierName += "-" + p1;
    return '';
  });
  var name = hashString(styles) + identifierName;
  return {
    type: 1,
    name: name,
    styles: styles
  };
}

export default css;
//# sourceMappingURL=index.es.js.map
